Z3 |

Z3Exception.java
Go to the documentation of this file.
1
18 package com.microsoft.z3;
19
20
24@SuppressWarnings("serial")
25public class Z3Exception extends RuntimeException
26{
30 public Z3Exception()
31 {
32 super();
33 }
34
38 public Z3Exception(String message)
39 {
40 super(message);
41 }
42
46 public Z3Exception(String message, Exception inner)
47 {
48 super(message, inner);
49 }
50}
Exception
RuntimeException
com.microsoft.z3.Z3Exception
Definition: Z3Exception.java:26
com.microsoft.z3.Z3Exception.Z3Exception
Z3Exception(String message)
Definition: Z3Exception.java:38
com.microsoft.z3.Z3Exception.Z3Exception
Z3Exception(String message, Exception inner)
Definition: Z3Exception.java:46
com.microsoft.z3.Z3Exception.Z3Exception
Z3Exception()
Definition: Z3Exception.java:30
z3py.String
def String(name, ctx=None)
Definition: z3py.py:10693